Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Reset Consumer Group Offsets

Reset offsets for selected topics in a consumer group.

Supports multiselect topics and multiple reset strategies:

  • earliest: Reset to beginning of topic
  • latest: Reset to end of topic (skip all messages)
  • timestamp: Reset to specific timestamp
  • offset: Reset to specific offset value
POST/consumer-groups/{group_id}/reset-offsets
Authorization
AuthorizationBearer token · headerrequired
Path parameters
group_idstringrequired
Request body
requiredapplication/json
topicsstring[]required

Topics to reset offsets for

strategystringrequired

Offset reset strategy

Allowed:earliestlatesttimestampoffset
timestampinteger | null

Unix timestamp in ms (for 'timestamp' strategy)

Show properties
Any of:
integer
integer
null
null
offsetinteger | null

Specific offset value (for 'offset' strategy)

Show properties
Any of:
integer
integer
null
null
Responses
200

Successful Response

any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST 'https://api.streamkap.com/consumer-groups/string/reset-offsets' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "topics": [
    "string"
  ],
  "strategy": "earliest",
  "timestamp": 0,
  "offset": 0
}'
Response
Successful Response